summaryrefslogtreecommitdiff
path: root/tests/misc/groups-version.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tests/misc/groups-version.sh')
-rwxr-xr-xtests/misc/groups-version.sh27
1 files changed, 27 insertions, 0 deletions
diff --git a/tests/misc/groups-version.sh b/tests/misc/groups-version.sh
new file mode 100755
index 0000000..3d74ce0
--- /dev/null
+++ b/tests/misc/groups-version.sh
@@ -0,0 +1,27 @@
+#!/bin/sh
+# ensure groups --version output is similar to id --version
+
+# Copyright (C) 2007-2016 Free Software Foundation, Inc.
+
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <http://www.gnu.org/licenses/>.
+
+. "${srcdir=.}/tests/init.sh"; path_prepend_ ./src
+print_ver_ groups
+
+groups --version | sed 's/^groups/id/; /^$/q' > out || fail=1
+id --version | sed '/^$/q' > exp || fail=1
+
+compare exp out || fail=1
+
+Exit $fail